#!/bin/sh

apt install -y clang lld cargo
cp -R backend/* .
cargo build --release --target-dir ./build
mv ./build/release/simple-wkd simple-wkd-executable


apt install -y npm
cp -R website/* .
npm install -g pnpm && \
    pnpm install && \
    pnpm astro telemetry disable && \
    pnpm run build
mv dist assets/webpage
